Get rate details
Retrieves additional details on a hotel room/rate.
Use case
This endpoint can be used on a hotel rates page to allow users to view all available information about a particular hotel room/rate. We also highly recommend calling this endpoint when a hotel returns incomplete rate information from the get_rates endpoint. The response includes the cost per night, static check-in instructions and descriptive text of a hotel room, hotel loyalty program participation, and basic rate information (similar to the get_rates endpoint).
What’s next?
The hotel ID and rate_key in the response can be used to book the hotel via the book endpoint.
Path parameters
Headers
Request signature for authentication. Format: Signature YOUR_SIGNATURE. Calculated using HMAC-SHA256 with your secret key.
Query parameters
Your public API key. Example: api_key=testkey.
The UNIX (UTC) timestamp created by your application for this request (in seconds). Must be within 2.5 minutes of the current time.
The language preference of your user. Valid values: en_US, fr_FR, de_DE, es_ES, it_IT, pt_PT, ja_JP, ko_KR. Default is en_US.
The user agent (device, application or browser) of your user. Allows retrieval of mobile rates and discounts from some providers. Must be properly encoded. Max 32 characters. Required to get discounted mobile rates.
Configuration ID for proper company settings. Obtain via the get_configurations endpoint.
The booking channel. Valid values include: aft, obt, web.
